repo/gentoo:master commit in: dev-python/pygit2/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786243016.833235788e1a1faf42448748e4fff482cdce2037.mgorny@gentoo> |
commit: 833235788e1a1faf42448748e4fff482cdce2037
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 9 02:05:26 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 9 02:36:56 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83323578
dev-python/pygit2: Bump to 1.20.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pygit2/Manifest | 1 +
dev-python/pygit2/pygit2-1.20.0.ebuild | 47 ++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index 90d5be383bf4..30da0b217f91 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1 +1,2 @@
DIST pygit2-1.19.3.tar.gz 810489 BLAKE2B 51921590e53d5146fd7bbdf62e426aa88158e82d10ac83cb6666b03169889a8f7990a2fc6d79d6337f5fc98c4b33ec771b5edee0d46937133bbeeecfc46feea3 SHA512 6089eeb3a2af2c9ec9f09815cc3bcc7e0c41acbc8cec68d09f50de803ef526b7ea321858934b89e8d34d1c4974e2456596ebd26a179be6023616c5abbde7fe58
+DIST pygit2-1.20.0.tar.gz 826041 BLAKE2B fee018d70b7d23b93bba3f05251688c38ece343c5f8e76f6505cfee4389b4f4754e9a1c12a2fcb66c8e7aa4463ff681bd3e8bc0d2f268b934c184ac291583451 SHA512 2978d8e4685f1599215cbd6654613945fde28305062aa04bb3042739a7700a6433e009fd0910229ff4e826f005f83dc20786c52911cb3c52ae72d34c516fd28a
diff --git a/dev-python/pygit2/pygit2-1.20.0.ebuild b/dev-python/pygit2/pygit2-1.20.0.ebuild
new file mode 100644
index 000000000000..e9e58c36f767
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.20.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="
+ https://github.com/libgit2/pygit2/
+ https://pypi.org/project/pygit2/
+"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+
+DEPEND="
+ <dev-libs/libgit2-1.10:=
+ >=dev-libs/libgit2-1.9.0:=
+"
+BDEPEND="
+ >=dev-python/cffi-2.0.0:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ ${BDEPEND}
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unconditionally prevent it from using network
+ sed -i -e '/has_network/s:True:False:' test/utils.py || die
+}
+
+src_test() {
+ rm -r pygit2 || die
+ distutils-r1_src_test
+}